<?php
// +----------------------------------------------------------------------
// | SentCMS [ WE CAN DO IT JUST THINK IT ]
// +----------------------------------------------------------------------
// | Copyright (c) 2024 http://www.tensent.cn All rights reserved.
// +----------------------------------------------------------------------
// | Author: molong <molong@tensent.cn> <http://www.tensent.cn>
// +----------------------------------------------------------------------
namespace Modules\Member\Models;

use App\Models\BaseModel;
use Modules\Store\Models\Store;
use Modules\Goods\Models\Goods;

class MemberCollect extends BaseModel {

	protected $table = 'member_collect';
	protected $fillable = [];
	// protected $hidden = ['deleted_at'];

	public function member(){
		return $this->belongsTo(Member::class, 'member_id', 'uid');
	}

	public function goods(){
		return $this->belongsTo(Goods::class, 'goods_id', 'id');
	}

	public function store(){
		return $this->belongsTo(Store::class, 'store_id', 'id');
	}
}
